> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavebybemobi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get balances



## OpenAPI

````yaml GET /lines/{lineId}/products/{productId}/balances
openapi: 3.1.0
info:
  title: Wave Lines API
  version: 1.0.0
servers: []
security:
  - client_id: []
    secret_key: []
tags:
  - name: lines
    description: Line lifecycle operations
  - name: payments
    description: Payment listing and lookup
  - name: tax-receipts
    description: Tax receipt listing, lookup and document download
  - name: subscriptions
    description: Subscription lookup, product management and invoices
  - name: holders
    description: Holder (customer) listing, lookup and creation
  - name: usage
    description: 'Usage: per-product line balance and consumption'
  - name: Portability
    description: >-
      Number portability: port-in request creation, listing, modification and
      cancellation, plus the consolidated portability status
  - name: Inventory
    description: >-
      Inventory resource pools: pool listing, the resources held in a pool and
      resource reservations
  - name: Catalog
    description: Catalog offers exposed by the Wave Catalog API
paths:
  /lines/{lineId}/products/{productId}/balances:
    get:
      tags:
        - usage
      parameters:
        - schema:
            type: boolean
          in: query
          name: online
          required: false
        - schema:
            type: string
            format: uuid
          in: path
          name: lineId
          required: true
        - schema:
            type: string
            format: uuid
          in: path
          name: productId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  lineId:
                    type: string
                  productId:
                    type: string
                  online:
                    type: boolean
                  accountMetadata:
                    type: object
                    additionalProperties: {}
                  balance:
                    type: object
                    properties:
                      accountId:
                        type: string
                      totalAmount:
                        type: object
                        additionalProperties:
                          type: number
                      usedAmount:
                        type: object
                        additionalProperties:
                          type: number
                      balanceCredits:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                            value:
                              type: number
                            updatedAt:
                              type: string
                            dueDate:
                              type: string
                            metadata:
                              type: object
                              additionalProperties: {}
                          required:
                            - type
                            - value
                            - updatedAt
                          additionalProperties: false
                      metadata:
                        type: object
                        additionalProperties: {}
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      product:
                        type: object
                        properties:
                          catalogProductId:
                            type: string
                          name:
                            type: string
                          billingType:
                            type: string
                            enum:
                              - PREPAID
                              - POSTPAID
                              - CONTROL
                          recurrence:
                            type: string
                            enum:
                              - SPOT
                              - WEEKLY
                              - MONTHLY
                              - YEARLY
                          features:
                            type: array
                            items:
                              type: object
                              properties:
                                icon:
                                  type: string
                                name:
                                  type: string
                              required:
                                - icon
                                - name
                              additionalProperties: false
                          productComponents:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                name:
                                  type: string
                                type:
                                  type: string
                                  enum:
                                    - DATA
                                    - VOICE
                                    - SMS
                                    - ZERO_RATING
                                    - SPONSORED_USAGE
                                unlimited:
                                  type: boolean
                                unit:
                                  type: string
                                totalAmount:
                                  type: number
                                usedAmount:
                                  type: number
                                startDate:
                                  type: string
                                createdAt:
                                  type: string
                                updatedAt:
                                  type: string
                                icon:
                                  type: string
                                externalCode:
                                  type: string
                                endDate:
                                  type: string
                              required:
                                - id
                                - name
                                - type
                                - unlimited
                                - unit
                                - totalAmount
                                - usedAmount
                                - startDate
                                - createdAt
                                - updatedAt
                              additionalProperties: false
                          createdAt:
                            type: string
                          updatedAt:
                            type: string
                          externalCode:
                            type: string
                        required:
                          - catalogProductId
                          - name
                          - billingType
                          - recurrence
                          - features
                          - productComponents
                          - createdAt
                          - updatedAt
                        additionalProperties: false
                    required:
                      - accountId
                      - totalAmount
                      - usedAmount
                      - balanceCredits
                      - metadata
                      - createdAt
                      - updatedAt
                      - product
                    additionalProperties: false
                required:
                  - lineId
                  - productId
                  - online
                  - accountMetadata
                  - balance
                additionalProperties: false
components:
  securitySchemes:
    client_id:
      type: apiKey
      in: header
      name: client_id
    secret_key:
      type: apiKey
      in: header
      name: secret_key

````